Module javafx.base
Package javafx.beans

## Interface InvalidationListener

- All Known Implementing Classes:
    `WeakInvalidationListener`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface InvalidationListener

  An `InvalidationListener` is notified whenever an `Observable` becomes invalid. It can be registered and unregistered with `Observable.addListener(InvalidationListener)` respectively `Observable.removeListener(InvalidationListener)`.

  For an in-depth explanation of invalidation events and how they differ from change events, see the documentation of `ObservableValue`.

  The same instance of `InvalidationListener` can be registered to listen to multiple `Observables`.

  Since:
    JavaFX 2.0
  See Also:
    `Observable`, `ObservableValue`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `invalidated​(Observable observable)` | This method needs to be provided by an implementation of `InvalidationListener`.

- - ### Method Detail

    - #### invalidated

          void invalidated​(Observable observable)

      This method needs to be provided by an implementation of `InvalidationListener`. It is called if an `Observable` becomes invalid.

      In general, it is considered bad practice to modify the observed value in this method.

      Parameters:
        `observable` - The `Observable` that became invalid